> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/public/webhooks/segment

> Used to consume segment.io webhook payloads. Must be exposed publicly to the internet.



## OpenAPI

````yaml POST /api/public/webhooks/segment
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/public/webhooks/segment:
    post:
      tags:
        - Webhooks
      description: >-
        Used to consume segment.io webhook payloads. Must be exposed publicly to
        the internet.
      parameters:
        - schema:
            type: string
          in: header
          name: x-signature
          required: true
        - schema:
            type: string
          in: header
          name: df-workspace-id
          required: false
          description: >-
            Id of the workspace which will receive the segment payload. Defaults
            to the default workspace id, for single tenant systems
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              properties:
                messageId:
                  type: string
                timestamp:
                  type: string
              required:
                - messageId
                - timestamp
        required: true
      responses:
        '200':
          description: Default Response

````